Subject: bug#25765: [PATCH] Avoid errors when flyspell-generic-check-word-predicate is a lambda.

From: [email-masked]
Date: Sat, 18 Feb 2017 08:34:39 -0500

Eli Zaretskii <[email-masked]> writes:
>> 
>> Is it possible to back port this fix to the emacs-25 branch? Looks like
>> this bug was introduced in 6d11f6ed9a1afa6f3903fffeb58159beedeb1d14
>> which is new in Emacs 25.
>
> Sorry, no.  It's too late for that: the emacs-25 branch is in deep
> freeze now.

Also, only the instance in `flyspell-auto-correct-word' was introduced
in Emacs 25; the other case in `flyspell-word' goes back to the original
revision of flyspell.el in 1998 [1: 60371a2e3d], when the variable was
still called `flyspell-generic-check-word-p'.

1: 1998-06-26 01:24:05 +0000 60371a2e3d30618c3f65a5d1c83a9e4c99ee95a2
  Initial revision